APIAgents

Count agent instances

Count registered agent instances grouped by agent_slug. Only slugs with at least one instance are returned.

GET
/agents/instance-counts

Count registered agent instances grouped by agent_slug. Only slugs with at least one instance are returned.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_agent_instances

Response Body

The request has succeeded.

application/json
  1. response

Wrapper for the instance-counts endpoint.

items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/agents/instance-counts'
Example Response
{  "items": [    {      "slug": "string",      "count": 0    }  ]}